Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 656680 - media-libs/openexr-2.3.0: test failure: IlmImfTest failed
Summary: media-libs/openexr-2.3.0: test failure: IlmImfTest failed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Bernd
URL: https://github.com/openexr/openexr/is...
Whiteboard:
Keywords: PullRequest, TESTFAILURE
Depends on:
Blocks:
 
Reported: 2018-05-27 13:27 UTC by Thomas Deutschmann
Modified: 2021-06-22 18:35 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,182.67 KB, text/plain)
2018-05-27 13:27 UTC, Thomas Deutschmann
Details
test-suite.log (test-suite.log,353.53 KB, text/plain)
2018-05-27 13:28 UTC, Thomas Deutschmann
Details
build.log (media-libs_openexr-2.3.0_use_1nPlk,269.06 KB, text/plain)
2019-04-20 12:21 UTC, Rolf Eike Beer
Details
test-suite.log (test-suite.log,278.15 KB, text/plain)
2019-04-20 14:32 UTC, Rolf Eike Beer
Details
openexr-2.5.7-0001-disable-testRgba-on-sparc.patch (openexr-2.5.7-0001-disable-testRgba-on-sparc.patch,937 bytes, patch)
2021-06-21 10:42 UTC, Bernd
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev 2018-05-27 13:27:44 UTC
Created attachment 533514 [details]
build.log

> make  check-TESTS
> make[2]: Entering directory '/var/tmp/portage/media-libs/openexr-2.2.0-r2/work/openexr-2.2.0-abi_x86_32.x86/IlmImfTest'
> make[3]: Entering directory '/var/tmp/portage/media-libs/openexr-2.2.0-r2/work/openexr-2.2.0-abi_x86_32.x86/IlmImfTest'
> /var/tmp/portage/media-libs/openexr-2.2.0-r2/work/openexr-2.2.0/test-driver: line 107:  2427 Aborted                 (core dumped) "$@" > $log_file 2>&1
> FAIL: IlmImfTest
> ============================================================================
> Testsuite summary for OpenEXR 2.2.0
> ============================================================================
> # TOTAL: 1
> # PASS:  0
> # SKIP:  0
> # XFAIL: 0
> # FAIL:  1
> # XPASS: 0
> # ERROR: 0

Portage 2.3.24 (python 3.5.5-final-0, default/linux/x86/17.0, gcc-6.4.0, glibc-2.25-r11, 4.9.95-gentoo i686)
=================================================================
System uname: Linux-4.9.95-gentoo-i686-Intel-R-_Core-TM-_i7-3770K_CPU_@_3.50GHz-with-gentoo-2.4.1
KiB Mem:     3108308 total,   1986192 free
KiB Swap:     488276 total,    482780 free
Timestamp of repository gentoo: Sat, 26 May 2018 09:20:29 +0000
Head commit of repository gentoo: 90dec767f5b200f7012f8f3d4986f7fd5651f9f2

sh bash 4.4_p12
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.4_p12::gentoo
dev-lang/perl:            5.24.3-r1::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.15.1-r2::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r11::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: git
    sync-uri: https://github.com/gentoo-mirror/gentoo.git
    priority: -1000

ABI="x86"
ABI_X86="32"
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="* -@EULA"
ACCEPT_PROPERTIES="*"
ACCEPT_RESTRICT="*"
ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci"
APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias"
ARCH="x86"
AUTOCLEAN="yes"
BOOTSTRAP_USE="cxx unicode internal-glib split-usr python_targets_python3_5 python_targets_python2_7"
CALLIGRA_FEATURES="karbon plan sheets stage words"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
CHOST="i686-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLECTD_PLUGINS="df load rrdtool syslog threshold"
COLLISION_IGNORE="/lib/modules/* *.py[co] *$py.class */dropin.cache"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CPU_FLAGS_X86="mmx mmxext sse sse2"
CXXFLAGS="-O2 -pipe -march=pentium4m -mtune=pentium4m"
DEFAULT_ABI="x86"
DISTDIR="/var/tmp/distfiles"
EDITOR="/usr/bin/mcedit"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS=" --quiet-build=n --verbose --color=n --with-bdeps=y --misspell-suggestions=n --jobs 4 --load-average 7.95"
EMERGE_WARNING_DELAY="10"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR PERL_MM_OPT PERL5LIB PERL5OPT PERL_MB_OPT PERL_CORE PERLPREFIX"
EPREFIX=""
EROOT="/"
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES="assume-digests binpkg-logs cgroup config-protect-if-modified distlocks downgrade-backup ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FETCHCOMMAND="wget -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
FETCHCOMMAND_SFTP="bash -c "x=\${2#sftp://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; eval \"declare -a ssh_opts=(\${3})\" ; exec sftp \${port:+-P \${port}} \"\${ssh_opts[@]}\" \"\${host}:/\${x#*/}\" \"\$1\"" sftp "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FETCHCOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; exec rsync --rsh=\"ssh \${port:+-p\${port}} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
FFLAGS="-O2 -march=i686 -pipe"
GCC_SPECS=""
GENTOO_MIRRORS=" https://mirror.deutschmann.io/gentoo/ http://ftp.uni-erlangen.de/pub/mirrors/gentoo/ http://mirror.netcologne.de/gentoo/ http://ftp.halifax.rwth-aachen.de/gentoo/ http://mirror.deutschmann.io/gentoo/ http://ftp.uni-kl.de/pub/linux/gentoo/ http://distfiles.gentoo.org"
GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx"
GRUB_PLATFORMS="efi-32 pc"
GSETTINGS_BACKEND="dconf"
HISTFILESIZE="10000"
HISTSIZE="10000"
HISTTIMEFORMAT="[[36m%F %T[m]: "
HOME="/root"
INFOPATH="/usr/share/gcc-data/i686-pc-linux-gnu/6.4.0/info:/usr/share/binutils-data/i686-pc-linux-gnu/2.29.1/info:/usr/share/info"
INPUT_DEVICES="libinput keyboard mouse"
IUSE_IMPLICIT="abi_x86_32 prefix prefix-chain prefix-guest"
KERNEL="linux"
L10N="en en-US de de-DE"
LADSPA_PATH="/usr/lib/ladspa"
LANG="en_US.UTF-8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LC_ALL="en_US.UTF-8"
LC_MESSAGES="C"
LC_PAPER="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LESS="-R -M --shift 5"
LESSCOLOR="yes"
LESSCOLORIZER="pygmentize"
LESSOPEN="|lesspipe %s"
LIBDIR_x86="lib"
LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer"
LINGUAS="en de"
LOGNAME="root"
LS_COLORS="rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=01;05;37;41:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arc=01;31:*.arj=01;31:*.taz=01;31:*.lha=01;31:*.lz4=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.tzo=01;31:*.t7z=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lrz=01;31:*.lz=01;31:*.lzo=01;31:*.xz=01;31:*.zst=01;31:*.tzst=01;31:*.bz2=01;31:*.bz=01;31:*.tbz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.alz=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.cab=01;31:*.wim=01;31:*.swm=01;31:*.dwm=01;31:*.esd=01;31:*.jpg=01;35:*.jpeg=01;35:*.mjpg=01;35:*.mjpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.webm=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.ogv=01;35:*.ogx=01;35:*.cfg=00;32:*.conf=00;32:*.diff=00;32:*.doc=00;32:*.ini=00;32:*.log=00;32:*.patch=00;32:*.pdf=00;32:*.ps=00;32:*.tex=00;32:*.txt=00;32:*.aac=00;36:*.au=00;36:*.flac=00;36:*.m4a=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:*.oga=00;36:*.opus=00;36:*.spx=00;36:*.xspf=00;36:"
MAIL="/var/mail/root"
MAKEOPTS="--jobs 5 --load-average 7.95"
MANPATH="/usr/share/gcc-data/i686-pc-linux-gnu/6.4.0/man:/usr/share/binutils-data/i686-pc-linux-gnu/2.29.1/man:/usr/lib/llvm/5/share/man:/usr/local/share/man:/usr/share/man:/usr/share/rust-1.25.0/man:/usr/share/rust-bin-1.25.0/man"
MULTILIB_ABIS="x86"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fancyindex fastcgi gzip gzip_static limit_conn limit_req map referer rewrite sub syslog proxy"
NOCOLOR="true"
OFFICE_IMPLEMENTATION="libreoffice"
OLDPWD="/root"
OPENCL_PROFILE="mesa"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
PHP_TARGETS="php5-6 php7-0"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="alpha amd64 amd64-fbsd amd64-linux arm arm-linux arm64 arm64-linux hppa ia64 m68k m68k-mint mips ppc ppc-aix ppc-macos ppc64 ppc64-linux s390 sh sparc sparc-solaris sparc64-solaris x64-cygwin x64-macos x64-solaris x86 x86-cygwin x86-fbsd x86-linux x86-macos x86-solaris x86-winnt"
PORTAGE_BIN_PATH="/usr/lib/portage/python3.5"
PORTAGE_COMPRESS_EXCLUDE_SUFFIXES="css gif htm[l]? jp[e]?g js pdf png"
PORTAGE_CONFIGROOT="/"
PORTAGE_DEBUG="0"
PORTAGE_DEPCACHEDIR="/var/cache/edb/dep"
PORTAGE_ELOG_CLASSES="warn error info log qa"
PORTAGE_ELOG_MAILFROM="portage@localhost"
PORTAGE_ELOG_MAILSUBJECT="[portage] ebuild log for ${PACKAGE} on ${HOST}"
PORTAGE_ELOG_MAILURI="root"
PORTAGE_ELOG_SYSTEM="save"
PORTAGE_FETCH_CHECKSUM_TRY_MIRRORS="5"
PORTAGE_FETCH_RESUME_MIN_SIZE="350K"
PORTAGE_GID="250"
PORTAGE_GPG_SIGNING_COMMAND="gpg --sign --digest-algo SHA256 --clearsign --yes --default-key "${PORTAGE_GPG_KEY}" --homedir "${PORTAGE_GPG_DIR}" "${FILE}""
PORTAGE_INST_GID="0"
PORTAGE_INST_UID="0"
PORTAGE_INTERNAL_CALLER="1"
PORTAGE_OVERRIDE_EPREFIX=""
PORTAGE_PYM_PATH="/usr/lib/python3.5/site-packages"
PORTAGE_PYTHONPATH="/usr/lib/python3.5/site-packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_RSYNC_RETRIES="-1"
PORTAGE_SYNC_STALE="30"
PORTAGE_TMPDIR="/var/tmp"
PORTAGE_VERBOSE="1"
PORTAGE_WORKDIR_MODE="0700"
PORTAGE_XATTR_EXCLUDE="btrfs.* security.evm security.ima 	security.selinux system.nfs4_acl user.apache_handler 	user.Beagle.* user.dublincore.* user.mime_encoding user.xdg.*"
PORT_LOGDIR_CLEAN="find "${PORT_LOGDIR}" -type f ! -name "summary.log*" -mtime +7 -delete"
POSTGRES_TARGETS="postgres9_5"
PROFILE_ONLY_VARIABLES="ARCH ELIBC IUSE_IMPLICIT KERNEL USERLAND USE_EXPAND_IMPLICIT USE_EXPAND_UNPREFIXED USE_EXPAND_VALUES_ARCH USE_EXPAND_VALUES_ELIBC USE_EXPAND_VALUES_KERNEL USE_EXPAND_VALUES_USERLAND"
PWD="/tmp/stable"
PYTHONDONTWRITEBYTECODE="1"
PYTHON_SINGLE_TARGET="python3_5"
PYTHON_TARGETS="python2_7 python3_5"
QT_GRAPHICSSYSTEM="raster"
RESUMECOMMAND="wget -c -t 3 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
RESUMECOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
RESUMECOMMAND_SSH="bash -c "x=\${2#ssh://} ; host=\${x%%/*} ; port=\${host##*:} ; host=\${host%:*} ; [[ \${host} = \${port} ]] && port= ; exec rsync --rsh=\"ssh \${port:+-p\${port}} \${3}\" -avP \"\${host}:/\${x#*/}\" \"\$1\"" rsync "${DISTDIR}/${FILE}" "${URI}" "${PORTAGE_SSH_OPTS}""
ROOT="/"
ROOTPATH="/usr/i686-pc-linux-gnu/gcc-bin/6.4.0:/usr/lib/llvm/5/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin"
RPMDIR="/usr/portage/rpm"
RUBY_TARGETS="ruby22 ruby23"
SHELL="/bin/bash"
SHLVL="2"
SSH_AUTH_SOCK="/tmp/ssh-gBlKFbH6EL/agent.4904"
SSH_CLIENT="fd00::5d47:27ee:1a54:406b 49627 22"
SSH_CONNECTION="fd00::5d47:27ee:1a54:406b 49627 fd00::996f:367b:27c7:f781 22"
SSH_TTY="/dev/pts/0"
TERM="tmux-256color"
TMUX="/tmp/tmux-0/default,4915,0"
TMUX_PANE="%1"
TWISTED_DISABLE_WRITING_OF_PLUGIN_CACHE="1"
UNINSTALL_IGNORE="/lib/modules/* /var/run /var/lock"
USE="acl berkdb bzip2 cli crypt cxx dri fortran gdbm gnutls iconv idn ipv6 modules ncurses nls nptl openmp pam pcre readline seccomp ssl tcpd test threads unicode x86 xattr zlib" ABI_X86="32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df load rrdtool syslog threshold" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-32 pc" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" L10N="en en-US de de-DE" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fancyindex fastcgi gzip gzip_static limit_conn limit_req map referer rewrite sub syslog proxy" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" RUBY_TARGETS="ruby22 ruby23" USERLAND="GNU" VIDEO_CARDS="vmware" XTABLES_ADDONS="geoip"
USER="root"
USERLAND="GNU"
USE_EXPAND="ABI_MIPS ABI_PPC ABI_S390 ABI_X86 ALSA_CARDS APACHE2_MODULES APACHE2_MPMS CALLIGRA_EXPERIMENTAL_FEATURES CALLIGRA_FEATURES CAMERAS COLLECTD_PLUGINS CPU_FLAGS_ARM CPU_FLAGS_X86 CURL_SSL ELIBC ENLIGHTENMENT_MODULES FFTOOLS GPSD_PROTOCOLS GRUB_PLATFORMS INPUT_DEVICES KERNEL L10N LCD_DEVICES LIBREOFFICE_EXTENSIONS LIRC_DEVICES LLVM_TARGETS MONKEYD_PLUGINS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL NGINX_MODULES_STREAM OFED_DRIVERS OFFICE_IMPLEMENTATION OPENMPI_FABRICS OPENMPI_OFED_FEATURES OPENMPI_RM PHP_TARGETS POSTGRES_TARGETS PYTHON_SINGLE_TARGET PYTHON_TARGETS QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS ROS_MESSAGES RUBY_TARGETS SANE_BACKENDS USERLAND UWSGI_PLUGINS VIDEO_CARDS VOICEMAIL_STORAGE XFCE_PLUGINS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="ABI_MIPS ABI_PPC ABI_S390 ABI_X86 CPU_FLAGS_ARM ELIBC KERNEL USERLAND"
USE_EXPAND_IMPLICIT="ARCH ELIBC KERNEL USERLAND"
USE_EXPAND_UNPREFIXED="ARCH"
USE_EXPAND_VALUES_ARCH="alpha amd64 amd64-fbsd amd64-linux arm arm-linux arm64 hppa ia64 m68k m68k-mint mips ppc ppc64 ppc64-linux ppc-aix ppc-macos s390 sh sparc sparc64-solaris sparc-solaris x64-cygwin x64-macos x64-solaris x86 x86-cygwin x86-fbsd x86-linux x86-macos x86-solaris x86-winnt"
USE_EXPAND_VALUES_ELIBC="AIX bionic Cygwin Darwin DragonFly FreeBSD glibc HPUX Interix mingw mintlib musl NetBSD OpenBSD SunOS uclibc Winnt"
USE_EXPAND_VALUES_KERNEL="AIX Darwin FreeBSD freemint HPUX linux NetBSD OpenBSD SunOS Winnt"
USE_EXPAND_VALUES_USERLAND="BSD GNU"
USE_ORDER="env:pkg:conf:defaults:pkginternal:repo:env.d"
VIDEO_CARDS="vmware"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XTABLES_ADDONS="geoip"
Comment 1 Thomas Deutschmann gentoo-dev 2018-05-27 13:28:35 UTC
Created attachment 533516 [details]
test-suite.log
Comment 2 Rolf Eike Beer archtester 2019-04-09 21:11:50 UTC
same on sparc
Comment 3 Larry the Git Cow gentoo-dev 2019-04-20 09:34:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76a4a88d277cf9a01e833f0ba8f09d5fa4826f14

commit 76a4a88d277cf9a01e833f0ba8f09d5fa4826f14
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2019-04-20 09:34:02 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2019-04-20 09:34:02 +0000

    media-libs/openexr: Multiple test fixes from Debian
    
    Closes: https://bugs.gentoo.org/656680
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 .../openexr/files/openexr-2.3.0-bigendian.patch    | 71 ++++++++++++++++++++++
 .../openexr/files/openexr-2.3.0-bigendian2.patch   | 17 ++++++
 .../files/openexr-2.3.0-skip-bogus-tests.patch     | 31 ++++++++++
 .../files/openexr-2.3.0-tests-32bits-2.patch       | 17 ++++++
 .../openexr/files/openexr-2.3.0-tests-32bits.patch | 36 +++++++++++
 media-libs/openexr/openexr-2.3.0.ebuild            |  9 ++-
 6 files changed, 179 insertions(+), 2 deletions(-)
Comment 4 Rolf Eike Beer archtester 2019-04-20 12:21:26 UTC
Created attachment 573482 [details]
build.log
Comment 5 Rolf Eike Beer archtester 2019-04-20 12:22:00 UTC
Nope, still fails.
Comment 6 Pacho Ramos gentoo-dev 2019-04-20 13:56:59 UTC
As I read in Fedora and Debian packages... upstream doesn't really care about tests running on "exotic" arches, they even run them only on some
Comment 7 Larry the Git Cow gentoo-dev 2019-04-20 13:57:26 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c5895d3e88d02fd329d2b1d518839cc8881a910f

commit c5895d3e88d02fd329d2b1d518839cc8881a910f
Author:     Pacho Ramos <pacho@gentoo.org>
AuthorDate: 2019-04-20 13:57:08 +0000
Commit:     Pacho Ramos <pacho@gentoo.org>
CommitDate: 2019-04-20 13:57:19 +0000

    media-libs/openexr: Restrict tests
    
    Bug: https://bugs.gentoo.org/656680
    Package-Manager: Portage-2.3.62, Repoman-2.3.12
    Signed-off-by: Pacho Ramos <pacho@gentoo.org>

 media-libs/openexr/openexr-2.3.0.ebuild | 2 ++
 1 file changed, 2 insertions(+)
Comment 8 Pacho Ramos gentoo-dev 2019-04-20 13:58:57 UTC
Regarding the pending test failures, please report to upstream and paste link here to allow to track their progress (if they fix them ever...)
https://github.com/openexr/openexr/issues
Comment 9 Rolf Eike Beer archtester 2019-04-20 14:32:29 UTC
Created attachment 573484 [details]
test-suite.log
Comment 10 Bernd 2020-07-21 20:27:52 UTC
No longer in tree. Please try 2.5.2, the tests there should work.
Comment 11 Bernd 2020-07-21 20:29:49 UTC
Re-opening. Just noted it has been updated to happen for 2.3.0 as well.
Still, please try 2.5.2 and report back, when it still fails.
Comment 12 Rolf Eike Beer archtester 2020-07-22 07:14:36 UTC
writing reading channels A, line order 0, compression 7
writing reading channels RB, line order 0, compression 7
writing reading channels RGBA, line order 0, compression 8
writing reading IlmImfTest: /var/tmp/portage/media-libs/openexr-2.5.2/work/openexr-2.5.2/OpenEXR/IlmImfTest/compareDwa.cpp:124: void compareDwa(int, int, const Imf_2_5::Array2D<Imf_2_5::Rgba>&, const Imf_2_5::Array2D<Imf_2_5::Rgba>&, Imf_2_5::RgbaChannels): Assertion `relError < .1' failed.
<end of output>
Comment 13 Bernd 2020-07-23 16:47:14 UTC
How about masking test on sparc until upstream has a fix for it?
Comment 14 Rolf Eike Beer archtester 2020-07-23 17:12:14 UTC
If we decide to ignore it on sparc for the moment fine with me, there are enough other broken tests in packages that are not masked.
Comment 15 Larry the Git Cow gentoo-dev 2021-01-24 01:48:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f49c50e51da2ea663ee68a683c07ae97f682f20

commit 0f49c50e51da2ea663ee68a683c07ae97f682f20
Author:     Bernd Waibel <waebbl@gmail.com>
AuthorDate: 2021-01-03 09:50:25 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-01-24 01:48:05 +0000

    media-libs/openexr: bump to 2.5.4
    
    Bug: https://bugs.gentoo.org/656680
    Bug: https://bugs.gentoo.org/762862
    Bug: https://bugs.gentoo.org/746794
    Closes: https://bugs.gentoo.org/762901
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Bernd Waibel <waebbl@gmail.com>
    Signed-off-by: Sam James <sam@gentoo.org>

 media-libs/openexr/Manifest             |  1 +
 media-libs/openexr/openexr-2.5.4.ebuild | 62 +++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)
Comment 16 Rolf Eike Beer archtester 2021-01-24 11:37:43 UTC
Same error with 2.5.4
Comment 17 Larry the Git Cow gentoo-dev 2021-03-31 06:31:41 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58d2ffc5446d020cde8d473c32485ad5f2e4c6f1

commit 58d2ffc5446d020cde8d473c32485ad5f2e4c6f1
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2021-03-26 16:46:35 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-31 06:29:14 +0000

    media-libs/openexr: drop 2.3.0
    
    Security cleanup
    
    Bug: https://bugs.gentoo.org/770229
    Bug: https://bugs.gentoo.org/762862
    Bug: https://bugs.gentoo.org/746794
    Bug: https://bugs.gentoo.org/717474
    Bug: https://bugs.gentoo.org/656680
    Package-Manager: Portage-3.0.17, Repoman-3.0.2
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 media-libs/openexr/Manifest                        |   1 -
 ...penexr-2.2.0-Install-missing-header-files.patch |  60 -----------
 .../openexr-2.2.0-fix-config.h-collision.patch     |  43 --------
 .../openexr-2.2.0-fix-cpuid-on-abi_x86_32.patch    |  75 -------------
 .../openexr/files/openexr-2.3.0-bigendian.patch    |  71 -------------
 .../openexr/files/openexr-2.3.0-bigendian2.patch   |  17 ---
 .../openexr/files/openexr-2.3.0-fix-bashisms.patch | 117 ---------------------
 .../files/openexr-2.3.0-fix-build-system.patch     |  68 ------------
 .../files/openexr-2.3.0-skip-bogus-tests.patch     |  31 ------
 .../files/openexr-2.3.0-tests-32bits-2.patch       |  17 ---
 .../openexr/files/openexr-2.3.0-tests-32bits.patch |  36 -------
 media-libs/openexr/openexr-2.3.0.ebuild            |  79 --------------
 12 files changed, 615 deletions(-)
Comment 18 Larry the Git Cow gentoo-dev 2021-06-01 00:28:19 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e719b19ac0d518305ec3ca9cef56cb8741742b1

commit 0e719b19ac0d518305ec3ca9cef56cb8741742b1
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2021-05-19 21:41:38 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-06-01 00:27:50 +0000

    media-libs/openexr: bump to 2.5.6
    
    Bug: https://bugs.gentoo.org/791136
    Bug: https://bugs.gentoo.org/776808
    Bug: https://bugs.gentoo.org/770229
    Bug: https://bugs.gentoo.org/656680
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Signed-off-by: Sam James <sam@gentoo.org>

 media-libs/openexr/Manifest             |  1 +
 media-libs/openexr/openexr-2.5.6.ebuild | 61 +++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)
Comment 19 Rolf Eike Beer archtester 2021-06-01 08:33:04 UTC
Still in 2.5.6.
Comment 20 Bernd 2021-06-01 17:14:42 UTC
I was expecting that. The upstream bug is still open AFAIR. Is it still the same testRGBA which is failing?
I will check, if I can disable just this function and can prepare a patch for use with sparc.
Comment 21 Rolf Eike Beer archtester 2021-06-01 18:35:40 UTC
Yes, it's the same test. But chances are 50:50 that it's not the test, but maybe just the actual code that is wrong.
Comment 22 Bernd 2021-06-21 10:42:18 UTC
Created attachment 717390 [details, diff]
openexr-2.5.7-0001-disable-testRgba-on-sparc.patch

Rolf, could you please test whether this patch is enough or if more tests need to be commented for sparc machines? Eventually we might need to take a few rounds to identify all failing tests.

If you could attach the LastTest.log as well, would be a big plus.

The patch should work for 2.5.6 as well.

TIA
Comment 23 Larry the Git Cow gentoo-dev 2021-06-22 18:35:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=075636aa0f50bf863c6185af87942ee1eca5e044

commit 075636aa0f50bf863c6185af87942ee1eca5e044
Author:     Bernd Waibel <waebbl-gentoo@posteo.net>
AuthorDate: 2021-06-21 22:38:44 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-06-22 18:35:06 +0000

    media-libs/openexr: bump to 2.5.7
    
    Closes: https://bugs.gentoo.org/656680
    Bug: https://bugs.gentoo.org/776808
    Bug: https://bugs.gentoo.org/787452
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
    Signed-off-by: Sam James <sam@gentoo.org>

 media-libs/openexr/Manifest                        |  1 +
 ...nexr-2.5.7-0001-disable-testRgba-on-sparc.patch | 31 ++++++++++
 media-libs/openexr/openexr-2.5.7.ebuild            | 68 ++++++++++++++++++++++
 3 files changed, 100 insertions(+)